from maps_adv.export.lib.pipeline.param import Param
from maps_adv.export.lib.pipeline.resolver import polygons_resolver


class ResolvePolygonsStep:
    def __init__(self, polygons: Param):
        self._polygons = polygons

    async def __call__(self, campaigns):
        self._polygons.value = await polygons_resolver(campaigns)
